{
	"name": "woolentor/cart-total",
    "category": "woolentor-cart",
    "title": "WL: Cart Total",
    "description": "Display cart total.",
    "keywords": ["woolentor","shop total","cart total table","table","total table"],
    "supports": {
      "align": ["wide","full"]
    },
    "attributes": {
        "blockUniqId":{
            "type": "string",
            "default": ""
        },
        "areaPadding": {
            "type": "object",
            "default": {
                "device": "desktop"
            },
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} { padding: {{areaPadding}} !important; }"
            }
        },
        "areaBGProperty":{
            "type": "object",
            "default": {
                "imageId": null,
                "imageUrl":"",
                "position": "",
                "attachment": "",
                "repeat": "",
                "size": ""
            },
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}}"
            }
        },
        "areaBGColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} { background-color: {{areaBGColor}}; }"
            }
        },

        "headingTextColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cart_totals > h2 { color: {{headingTextColor}}; }"
            }
        },
        "headingTypography":{
            "type": "object",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cart_totals > h2"
            }
        },
        "headingSize":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cart_totals > h2 { font-size: {{headingSize}}; }"
            },
            "deprecated": true,
            "_comment": "old name of headingSize, we will remove it later"
        },
        "headingMargin":{
            "type": "object",
            "default": {
                "top":"",
                "right":"",
                "bottom":"",
                "left":"",
                "unit":"px",
                "link":"yes"
            },
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cart_totals > h2 { margin: {{headingMargin}}; }"
            }
        },
        "headingAlignment":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cart_totals > h2 { text-align: {{headingAlignment}}; }"
            }
        },

        "tableCellBorderType": {
            "type": "string",
            "default": "",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cart_totals .shop_table tr th,{{WOOLENTOR_WRAPPER}} .cart_totals .shop_table tr td { border-style: {{tableCellBorderType}}; }"
            }
        },
        "tableCellBorderWidth":{
            "type": "object",
            "default": {
                "top":"",
                "right":"",
                "bottom":"",
                "left":"",
                "unit":"px",
                "link":"yes"
            },
            "style" : {
                "dependency": [
                    [
                        {
                            "key": "tableCellBorderType", 
                            "condition": "!=", 
                            "value": ""
                        }
                    ]
                ],
                "selector":"{{WOOLENTOR_WRAPPER}} .cart_totals .shop_table tr th,{{WOOLENTOR_WRAPPER}} .cart_totals .shop_table tr td { border-width: {{tableCellBorderWidth}}; }"
            }
        },
        "tableCellBorderColor":{
            "type":"string",
            "style" : {
                "dependency": [
                    [
                        {
                            "key": "tableCellBorderType", 
                            "condition": "!=", 
                            "value": ""
                        }
                    ]
                ],
                "selector":"{{WOOLENTOR_WRAPPER}} .cart_totals .shop_table tr th,{{WOOLENTOR_WRAPPER}} .cart_totals .shop_table tr td { border-color: {{tableCellBorderColor}}; }"
            }
        },
        "tableCellPadding":{
            "type": "object",
            "default": {
                "top":"",
                "right":"",
                "bottom":"",
                "left":"",
                "unit":"px",
                "link":"yes"
            },
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cart_totals .shop_table tr th,{{WOOLENTOR_WRAPPER}} .cart_totals .shop_table tr td { padding: {{tableCellPadding}}; }"
            }
        },
        "tableCellAlignment":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cart_totals .shop_table tr th,{{WOOLENTOR_WRAPPER}} .cart_totals .shop_table tr td { text-align: {{tableCellAlignment}}; }"
            }
        },
        "tableCellBackgroundColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cart_totals .shop_table { background-color: {{tableCellBackgroundColor}}; }"
            }
        },

        "tableHeadingColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cart_totals .shop_table tr th { color: {{tableHeadingColor}}; }"
            }
        },
        "tableHeadingTypography":{
            "type": "object",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cart_totals .shop_table tr th"
            }
        },
        "tableHeadingSize":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cart_totals .shop_table tr th { font-size: {{tableHeadingSize}}; }"
            },
            "deprecated": true,
            "_comment": "old name of tableHeadingSize, we will remove it later"
        },

        "tableSubtotalColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cart_totals .shop_table tr.cart-subtotal td { color: {{tableSubtotalColor}}; }"
            }
        },
        "tableSubtotalTypography":{
            "type": "object",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cart_totals .shop_table tr.cart-subtotal td"
            }
        },
        "tableSubtotalSize":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cart_totals .shop_table tr.cart-subtotal td { font-size: {{tableSubtotalSize}}; }"
            },
            "deprecated": true,
            "_comment": "old name of tableSubtotalSize, we will remove it later"
        },

        "tableTotalColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cart_totals .shop_table tr.order-total th, {{WOOLENTOR_WRAPPER}} .cart_totals .shop_table tr.order-total td .amount { color: {{tableTotalColor}}; }"
            }
        },
        "tableTotalTypography":{
            "type": "object",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cart_totals .shop_table tr.order-total th, {{WOOLENTOR_WRAPPER}} .cart_totals .shop_table tr.order-total td .amount"
            }
        },
        "tableTotalSize":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .cart_totals .shop_table tr.order-total th, {{WOOLENTOR_WRAPPER}} .cart_totals .shop_table tr.order-total td .amount { font-size: {{tableTotalSize}}; }"
            },
            "deprecated": true,
            "_comment": "old name of tableTotalSize, we will remove it later"
        },

        "checkoutBtnColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .wc-proceed-to-checkout .button.checkout-button { color: {{checkoutBtnColor}}; }"
            }
        },
        "checkoutBtnBGColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .wc-proceed-to-checkout .button.checkout-button { background-color: {{checkoutBtnBGColor}}; }"
            }
        },
        "checkoutBtnTypography":{
            "type": "object",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .wc-proceed-to-checkout .button.checkout-button"
            }
        },
        "checkoutBtnSize":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .wc-proceed-to-checkout .button.checkout-button { font-size: {{checkoutBtnSize}}; }"
            },
            "deprecated": true,
            "_comment": "old name of checkoutBtnSize, we will remove it later"
        },
        "checkoutBtnBorderType": {
            "type": "string",
            "default": "",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .wc-proceed-to-checkout .button.checkout-button { border-style: {{checkoutBtnBorderType}}; }"
            }
        },
        "checkoutBtnBorderWidth":{
            "type": "object",
            "default": {
                "top":"",
                "right":"",
                "bottom":"",
                "left":"",
                "unit":"px",
                "link":"yes"
            },
            "style" : {
                "dependency": [
                    [
                        {
                            "key": "checkoutBtnBorderType", 
                            "condition": "!=", 
                            "value": ""
                        }
                    ]
                ],
                "selector":"{{WOOLENTOR_WRAPPER}} .wc-proceed-to-checkout .button.checkout-button { border-width: {{checkoutBtnBorderWidth}}; }"
            }
        },
        "checkoutBtnBorderColor":{
            "type":"string",
            "style" : {
                "dependency": [
                    [
                        {
                            "key": "checkoutBtnBorderType", 
                            "condition": "!=", 
                            "value": ""
                        }
                    ]
                ],
                "selector":"{{WOOLENTOR_WRAPPER}} .wc-proceed-to-checkout .button.checkout-button { border-color: {{checkoutBtnBorderColor}}; }"
            }
        },
        "checkoutBtnBorderRadius":{
            "type": "object",
            "default": {
                "top":"",
                "right":"",
                "bottom":"",
                "left":"",
                "unit":"px",
                "link":"yes"
            },
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .wc-proceed-to-checkout .button.checkout-button { border-radius: {{checkoutBtnBorderRadius}}; }"
            }
        },
        "checkoutBtnPadding":{
            "type": "object",
            "default": {
                "top":"",
                "right":"",
                "bottom":"",
                "left":"",
                "unit":"px",
                "link":"yes"
            },
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .wc-proceed-to-checkout .button.checkout-button { padding: {{checkoutBtnPadding}}; }"
            }
        },

        "checkoutBtnHoverColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .wc-proceed-to-checkout .button.checkout-button:hover { color: {{checkoutBtnHoverColor}}; }"
            }
        },
        "checkoutBtnHoverBGColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .wc-proceed-to-checkout .button.checkout-button:hover { background-color: {{checkoutBtnHoverBGColor}}; }"
            }
        },
        "checkoutBtnHoverBorderColor":{
            "type":"string",
            "style" : {
                "selector":"{{WOOLENTOR_WRAPPER}} .wc-proceed-to-checkout .button.checkout-button:hover { border-color: {{checkoutBtnHoverBorderColor}}; }"
            }
        }
    }
}